##############################################################################
# Sccsid:  @(#)  .../demo.4gm/report1.bak/report.4gl  1.1  Last Delta: 11/28/88
##############################################################################

globals "globals.4gl"

#######################################################################
report report1(rpt)
#######################################################################
#
    define
        rpt record                  # record for the report
            customer_num like customer.customer_num,
            fname like customer.fname,
            company like customer.company,
            phone like customer.phone
        end record,
        scratch     char(255),      # scratch string workspace
        dynamic     smallint,       # boolean: Print this line?
        x           smallint        # working number

    output
        left margin    0
        right margin   80

    order external by rpt.fname

    format
        page header
            print
                column   1, today using "mm/dd/yy";
                let scratch = "CUSTOMER LIST"
                let x = 40 - (length(scratch) / 2)
                print
                    column   x, scratch clipped;
                let scratch = pageno using "Page: <<<<"
                let x = 81 - length(scratch)
                print
                    column   x, scratch clipped
            print
            print
                column   1, "Customer"
            print
                column   1, "Number",
                column  11, "Name",
                column  30, "Company",
                column  52, "Phone"
            print
                column   1, "----------------------------------------",
                column  41, "----------------------------------------"

        page trailer
            print
            print
                column   1, "----------------------------------------",
                column  41, "----------------------------------------"
            print
                column   1, pageno using "Page: <<<<";
                let scratch = pageno using "Page: <<<<"
                let x = 81 - length(scratch)
                print
                    column   x, scratch clipped

        on every row
            print
                column   1, rpt.customer_num using "####",
                column  11, rpt.fname,
                column  30, rpt.company,
                column  52, rpt.phone

end report
# report1()

