##############################################################################
# Copyright 1988 Fourgen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../data/schema.4gl  1.3  Last Delta: 3/29/89
##############################################################################

#################################################################
main
#################################################################
#
# This program creates the neccessary database(s), tables and 
# indexes used by the infourgen demo system
#
   
    define
        dbname char(8),
        run_script char(128)

    let dbname = "stores"

    whenever error continue
    database dbname

    if status = 0 
    then
        display "Database ",dbname clipped," has been created."
        exit program(1)
    end if
    let status = 0

    display "Creating database ",dbname clipped," ..."
    create database dbname
    
    database dbname

    display "Creating tables and indexes for the demo database ..."
create table customer 
    (
     customer_num integer,
     fname char(15),
     lname char(15),
     company char(20),
     address1 char(20),
     address2 char(20),
     city char(15),
     state char(2),
     zipcode char(5),
     phone char(18)
    );

create table orders 
    (
     order_num integer,
     order_date date,
     customer_num integer,
     ship_instruct char(40),
     backlog char(1),
     po_num char(10),
     ship_date date,
     ship_weight decimal(8,2),
     ship_charge money(6,2),
     paid_date date
    );

    grant dba to public

    let run_script = "cd $fg/infourgen/data/stores.unl; dbload -d ", 
                     dbname,
                     " -c Dbload.scr -l /tmp/loaderr"
    run run_script

    exit program(0)
end main
